package estructuras;

/**
 * Clase que permitir encapsular en un objeto los siguientes datos acerca de un
 * elemento de un grafo: tipo de elemento (nodo, arista) e identificador del
 * elemento
 * 
 * @author Daniel Guijarro Enriquez
 * @version 1.0
 */
public class IdElemento {

    public static final int VACIO = -1;
    public static final int NODO = 0;
    public static final int ARISTA = 1;
    
    public int tipo = VACIO;
    public int id = -1;
    
    /**
     * Constructor
     *
     */
    public IdElemento() {
        super();
    }
    
    /**
     * Constructor
     * @param tipoElemento tipo de elemento (nodo,arista)
     * @param idElemento identificador del elemento
     */
    public IdElemento(int tipoElemento, int idElemento) {
        tipo = tipoElemento;
        id = idElemento;
    }
}
