package interfaz;

import javax.swing.*;

/**
 * Clase que implementa la ventana que permitir guardar/abrir grafos (textos en ingls)
 * 
 * @author Daniel Guijarro Enriquez
 * @version 1.0
 */
public class EnglishFileChooser extends JFileChooser {

    private static final long serialVersionUID = 1L;
    
    /**
     * Constructor
     *
     */
    public EnglishFileChooser() {
        super();
        UIManager.put("FileChooser.openDialogTitleText", "Open");
        UIManager.put("FileChooser.lookInLabelText", "Look in");
        UIManager.put("FileChooser.openButtonText", "Open");
        UIManager.put("FileChooser.cancelButtonText", "Cancel");
        UIManager.put("FileChooser.fileNameLabelText", "File name");
        UIManager.put("FileChooser.filesOfTypeLabelText", "Files of type");
        UIManager.put("FileChooser.openButtonToolTipText", "Open selected file");
        UIManager.put("FileChooser.cancelButtonToolTipText","Cancel");
        UIManager.put("FileChooser.fileNameHeaderText","File name");
        UIManager.put("FileChooser.upFolderToolTipText", "Up one level");
        UIManager.put("FileChooser.homeFolderToolTipText","Desktop");
        UIManager.put("FileChooser.newFolderToolTipText","Create new folder");
        UIManager.put("FileChooser.listViewButtonToolTipText","List");
        UIManager.put("FileChooser.newFolderButtonText","Create new folder");
        UIManager.put("FileChooser.renameFileButtonText", "Rename file");
        UIManager.put("FileChooser.deleteFileButtonText", "Delete file");
        UIManager.put("FileChooser.filterLabelText", "Files of type");
        UIManager.put("FileChooser.detailsViewButtonToolTipText", "Details");
        UIManager.put("FileChooser.fileSizeHeaderText","Size");
        UIManager.put("FileChooser.fileDateHeaderText", "Date modified");
        
        UIManager.put("FileChooser.saveDialogTitleText", "Save");
        UIManager.put("FileChooser.saveInLabelText", "Save in");
        UIManager.put("FileChooser.saveButtonText", "Save");
        UIManager.put("FileChooser.saveButtonToolTipText", "Save selected file");
        
        SwingUtilities.updateComponentTreeUI(this);
    }
    
}
