package interfaz;

import javax.swing.*;
import java.awt.*;

/**
 * Clase que implementa el panel de opciones
 * 
 * @author Daniel Guijarro Enriquez
 * @version 1.0
 */
public class PanelOpciones extends JPanel {

    private static final long serialVersionUID = 1L;
    
    private JPanel panelSuperior;
    private JScrollPane panelInferior;
    private JPanel panelInterno;
    
    /**
     * Constructor
     *
     */
    public PanelOpciones() {
        super(new BorderLayout());
        super.setPreferredSize(new Dimension(260, 400));
        
        panelSuperior = new JPanel();
        panelSuperior.setBackground(new Color(231, 231, 231));  //gris muy claro
        panelSuperior.setOpaque(true);
        
        panelInterno = new JPanel();
        panelInterno.setBackground(new Color(231, 231, 231));  //gris muy claro
        panelInterno.setOpaque(true);
        
        panelInferior = new JScrollPane(panelInterno);
        panelInferior.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_ALWAYS);
        panelInferior.setPreferredSize(new Dimension(200, 200));
        
        super.add(panelSuperior, BorderLayout.NORTH);
        super.add(panelInferior, BorderLayout.CENTER);
        
        panelInferior.setVisible(false);
    }
    
    /**
     * Mtodo java.awt.Container.add redefinido
     */
    public Component add(Component componente) {
        return panelSuperior.add(componente);
    }
    
    /**
     * Mtodo java.awt.Container.add redefinido
     */
    public Component add(Component componente, int indice) {
        return panelSuperior.add(componente, indice);
    }
    
    /**
     * Mtodo java.awt.Container.removeAll redefinido
     */
    public void removeAll() {
        panelSuperior.removeAll();
        panelInterno.removeAll();
        panelInferior.setVisible(false);
    }
    
    /**
     * Mtodo javax.swing.JComponent.setPreferredSize redefinido
     */
    public void setPreferredSize(Dimension dimension) {
        panelSuperior.setPreferredSize(dimension);
    }
    
    /**
     * Devuelve el panel interno (interno al panel inferior)
     * @return el panel interno
     */
    public JPanel getInterno() {
        return this.panelInterno;
    }
    
    /**
     * Establece si el panel inferior debe ser visible
     * @param isVisible indica si el panel inferior debe ser visible
     */
    public void setInferiorVisible(boolean isVisible) {
        panelInferior.setVisible(isVisible);
    }
    
}
