package interfaz;

import java.awt.Dimension;
import java.awt.FlowLayout;

import javax.swing.*;

/**
 * Clase que implementa una ventana que pedir al usuario que indique qu entiende por rbol
 * generador ms uniforme
 * 
 * @author Daniel Guijarro Enriquez
 * @version 1.0
 */
public class VentanaMasUniforme {

    public static final int A = 0;
    public static final int GALIL_SCHIEBER = 1;
    
    /**
     * Muestra una ventana que pedir al usuario que indique qu entiende por rbol
     * generador ms uniforme
     * @return GALIL_SCHIEBER si el algoritmo a aplicar para hallar el rbol ms/menos uniforme
     * es el algoritmo de Galil y Schieber; A si el algoritmo a aplicar para hallar dicho
     * rbol es el algoritmo A; -1 si el usuario elige la opcin de cancelar
     */
    public static int mostrarVentana() {
        
        //Se crea una etiqueta
        JLabel etiqueta = new JLabel(
                "The extent to which a spanning tree T of a graph G is uniform depends on:");
        
        //Se crea un grupo de botones de radio y se incluyen en el mismo dos botones de radio
        ButtonGroup grupo = new ButtonGroup();
        JRadioButton opcionGalilSchieber = new JRadioButton(
                "the maximum weight difference between two edges of T", true);
        JRadioButton opcionA = new JRadioButton(
                "<html>how close to <i>m</i> are the weights of the edges of T,<br>" +
                "where <i>m</i> is the average edge weight of G</html>");
        grupo.add(opcionGalilSchieber);
        grupo.add(opcionA);
        
        //Se crean los paneles que incluirn los campos de texto, etiquetas y botones
        JPanel panelSuperior = new JPanel();
        panelSuperior.setLayout(new FlowLayout(FlowLayout.LEFT));
        panelSuperior.setPreferredSize(new Dimension(440, 25));
        JPanel panelInferior = new JPanel();
        panelInferior.setLayout(new FlowLayout(FlowLayout.LEFT));
        panelInferior.setPreferredSize(new Dimension(440, 75));
        JPanel panel = new JPanel();
        panel.setPreferredSize(new Dimension(450, 115));
        
        //Se aaden a los paneles los componentes que corresponda
        panelSuperior.add(etiqueta);
        panelInferior.add(opcionGalilSchieber);
        panelInferior.add(opcionA);
        panel.add(panelSuperior);
        panel.add(panelInferior);
        
        Object[] opciones = {"OK", "Cancel"};
        if (JOptionPane.showOptionDialog(null, panel, "Most/least uniform spanning tree",
                JOptionPane.DEFAULT_OPTION, JOptionPane.PLAIN_MESSAGE, null, opciones, null)
                == 0) {
            if (opcionGalilSchieber.isSelected())
                return GALIL_SCHIEBER;
            else
                return A;
        }
        else
            return -1;
    }
    
}
