package oyentes;

import java.awt.event.*;

import interfaz.*;

/**
 * Clase oyente del evento generado al elegir la opcin "Borrar"
 * 
 * @author Daniel Guijarro Enriquez
 * @version 1.0
 */
public class OyenteBorrar implements ActionListener {

    private BarraMenus barraMenus;
    private AreaDibujoGrafo areaDibujo;
    
    /**
     * Constructor
     * @param barra barra de mens de la aplicacin
     * @param area rea en la que se permitir dibujar un grafo
     */
    public OyenteBorrar(BarraMenus barra, AreaDibujoGrafo area) {
        super();
        barraMenus = barra;
        areaDibujo = area;
    }
    
    /**
     * Mtodo que se invoca cuando ocurre una accin
     */
    public void actionPerformed(ActionEvent e) {
        areaDibujo.borrarSeleccionados();
        barraMenus.desactivarOpcionesNodoYArista();
    }
    
}
