package oyentes;

import interfaz.AreaDibujoGrafo;
import interfaz.BarraMenus;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * Clase oyente del evento generado al elegir la opcin "Cerrar"
 * 
 * @author Daniel Guijarro Enriquez
 * @version 1.0
 */
public class OyenteCerrar implements ActionListener {

    private BarraMenus barraMenus;
    private AreaDibujoGrafo areaDibujo;
    
    /**
     * Constructor
     * @param barra barra de mens de la aplicacin
     * @param area rea en la que se permitir dibujar un grafo
     */
    public OyenteCerrar(BarraMenus barra, AreaDibujoGrafo area) {
        super();
        barraMenus = barra;
        areaDibujo = area;
    }
    
    /**
     * Mtodo que se invoca cuando ocurre una accin
     */
    public void actionPerformed(ActionEvent e) {
        areaDibujo.limpiar();
        barraMenus.desactivarOpcionesNodoYArista();
    }
    
}
