package oyentes;

import interfaz.*;
import estructuras.*;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.FileNotFoundException;

import javax.swing.*;

/**
 * Clase oyente del evento generado al elegir la opcin "Guardar"
 * 
 * @author Daniel Guijarro Enriquez
 * @version 1.0
 */
public class OyenteGuardar implements ActionListener {

    private AreaDibujoGrafo areaDibujo;
    
    /**
     * Constructor
     * @param area rea en la que se permitir dibujar un grafo
     */
    public OyenteGuardar(AreaDibujoGrafo area) {
        super();
        areaDibujo = area;
    }
    
    /**
     * Mtodo que se invoca cuando ocurre una accin
     */
    public void actionPerformed(ActionEvent e) {
        JFileChooser dlgGuardar = new EnglishFileChooser();
        int opcion = dlgGuardar.showSaveDialog(areaDibujo.getParent());
        if (opcion == JFileChooser.APPROVE_OPTION) {
            String nombreFichero = dlgGuardar.getSelectedFile().getPath();
            try {
                OperacionesFicheros.escribir(areaDibujo.cadenaDeGrafo(), nombreFichero);
            } catch (FileNotFoundException e1) {
                Object[] opciones = {"OK"};
                JOptionPane.showOptionDialog(null, "The graph cannot be " +
                        "saved as \"" + nombreFichero + "\"",
                        "Error", JOptionPane.DEFAULT_OPTION, JOptionPane.ERROR_MESSAGE,
                        null, opciones, null);
            }
        }
    }
    
}
