package oyentes;

import java.awt.event.*;

import interfaz.*;

/**
 * Clase oyente de eventos generados al realizar una operacin con el teclado
 * 
 * @author Daniel Guijarro Enriquez
 * @version 1.0
 */
public class OyenteTeclado extends KeyAdapter {

    private BarraMenus barraMenus;
    private AreaDibujoGrafo areaDibujo;
    
    /**
     * Constructor
     * @param barra barra de mens de la aplicacin
     * @param area rea en la que se permitir dibujar un grafo
     */
    public OyenteTeclado(BarraMenus barra, AreaDibujoGrafo area) {
        super();
        barraMenus = barra;
        areaDibujo = area;
    }
    
    /**
     * Mtodo que se invoca cuando se pulsa una tecla
     */
    public void keyPressed(KeyEvent e) {
        if (areaDibujo.grafoEsEditable()) {
            if (e.getKeyCode() == KeyEvent.VK_DELETE) {  //Si se ha pulsado la tecla "Suprimir"...
                areaDibujo.borrarSeleccionados();
                barraMenus.desactivarOpcionesNodoYArista();
            }
        }
    }
    
}
