package oyentes;

import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.*;

import estructuras.AplicadorAlgoritmo;

/**
 * Clase oyente del evento generado al elegir la opcin "Terminar"
 * 
 * @author Daniel Guijarro Enriquez
 * @version 1.0
 */
public class OyenteTerminar implements ActionListener {

    private AplicadorAlgoritmo aplicadorAlgoritmo;
    
    /**
     * Constructor
     * @param aplicador aplicador de un algoritmo
     */
    public OyenteTerminar(AplicadorAlgoritmo aplicador) {
        aplicadorAlgoritmo = aplicador;
    }
    
    /**
     * Mtodo que se invoca cuando ocurre una accin
     */
    public void actionPerformed(ActionEvent e) {
        Object[] opciones = {"OK"};
        if (!aplicadorAlgoritmo.terminar()) {
            JOptionPane panel = new JOptionPane("The step you have taken is WRONG",
                    JOptionPane.ERROR_MESSAGE, JOptionPane.DEFAULT_OPTION, null, opciones);
            JDialog ventana = panel.createDialog(null, "WRONG");
            
            //Se obtiene el tamao de la pantalla
            Toolkit tk = Toolkit.getDefaultToolkit();
            Dimension tamanyoPantalla = tk.getScreenSize();
            
            //Se establece el tamao y la posicin de la ventana
            ventana.setLocation((tamanyoPantalla.width - ventana.getPreferredSize().width) / 2,
                    tamanyoPantalla.height - ((ventana.getPreferredSize().height * 6) / 5));
            
            ventana.setModal(true);
            ventana.setVisible(true);
        }
        else {
            JOptionPane panel = new JOptionPane("CONGRATULATIONS: " +
                    aplicadorAlgoritmo.salida() + " found",
                    JOptionPane.INFORMATION_MESSAGE, JOptionPane.DEFAULT_OPTION, null, opciones);
            JDialog ventana = panel.createDialog(null, "WELL DONE");
            
            //Se obtiene el tamao de la pantalla
            Toolkit tk = Toolkit.getDefaultToolkit();
            Dimension tamanyoPantalla = tk.getScreenSize();
            
            //Se establece el tamao y la posicin de la ventana
            ventana.setLocation((tamanyoPantalla.width - ventana.getPreferredSize().width) / 2,
                    tamanyoPantalla.height - ((ventana.getPreferredSize().height * 6) / 5));
            
            ventana.setModal(true);
            ventana.setVisible(true);
        }
    }
    
}
