package oyentes;

import interfaz.*;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * Clase oyente del evento generado al elegir la opcin "Volver a edicin del grafo"
 * 
 * @author Daniel Guijarro Enriquez
 * @version 1.0
 */
public class OyenteVolverAEdicionGrafo implements ActionListener {

    private BarraMenus barraMenus;
    private PanelOpciones panelOpciones;
    private AreaDibujoGrafo areaDibujo;
    
    /**
     * Constructor
     * @param barra barra de mens
     * @param panelOpciones panel de opciones disponibles durante la aplicacin de un algoritmo
     * @param area rea en la que se permitir dibujar un grafo
     */
    public OyenteVolverAEdicionGrafo(BarraMenus barra, PanelOpciones panelOpciones,
            AreaDibujoGrafo area) {
        super();
        barraMenus = barra;
        this.panelOpciones = panelOpciones;
        areaDibujo = area;
    }
    
    /**
     * Mtodo que se invoca cuando ocurre una accin
     */
    public void actionPerformed(ActionEvent e) {
        panelOpciones.setVisible(false);
        panelOpciones.removeAll();
        areaDibujo.setGrafoEditable(true);
        barraMenus.activarSoloOpcionesEdicionGrafo();
    }
    
}
